# Type Alias ArticleTranslationTranslate

type ArticleTranslationTranslate = {
auto:
| {
description: string;
fetched: boolean;
set: boolean;
title: string;
}
| null;
description: string;
keepAsDraft: boolean;
language: Languages;
lastSaveDateTime: number
| null;
lastSaveUserId: number | null;
report?: boolean;
title: string;
}

- Defined in jamespot-user-api/src/types/articleTranslation.ts:14

##### Index

### Properties

auto
description
keepAsDraft
language
lastSaveDateTime
lastSaveUserId
report?
title

## Properties

### auto

auto:
| { description: string; fetched: boolean; set: boolean; title: string }
| null

- Defined in jamespot-user-api/src/types/articleTranslation.ts:20

### description

description: string

- Defined in jamespot-user-api/src/types/articleTranslation.ts:17

### keepAsDraft

keepAsDraft: boolean

- Defined in jamespot-user-api/src/types/articleTranslation.ts:26

### language

language: Languages

- Defined in jamespot-user-api/src/types/articleTranslation.ts:15

### lastSaveDateTime

lastSaveDateTime: number | null

- Defined in jamespot-user-api/src/types/articleTranslation.ts:18

### lastSaveUserId

lastSaveUserId: number | null

- Defined in jamespot-user-api/src/types/articleTranslation.ts:19

### `Optional` report

report?: boolean

- Defined in jamespot-user-api/src/types/articleTranslation.ts:27

### title

title: string

- Defined in jamespot-user-api/src/types/articleTranslation.ts:16